### Method

# Nautilus FileInfo get_activation_uri

#### Declaration [src]

    char*
    nautilus_file_info_get_activation_uri (
      NautilusFileInfo* file_info
    )

#### Description

No description available.

#### Return value

Type: `char*`

The activation URI of `file_info`, which may differ from the actual URI if e.g. the file is a .desktop file or a Nautilus XML link file.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.